# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "transformator/version"

Gem::Specification.new do |spec|
  spec.name          = "transformator"
  spec.version       = Transformator::VERSION
  spec.authors       = ["Michael Sievers"]
  spec.summary       = %q{A data transformation framework}
  spec.homepage      = "https://github.com/ubpb/transformator"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport"
  spec.add_dependency "rubysl", ">= 2.1.0" if RUBY_ENGINE == "rbx"

  spec.add_development_dependency "benchmark-ips", ">= 2.0.0"
  spec.add_development_dependency "bundler",       "~> 1.7"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "simplecov",     ">= 0.8.0"
  spec.add_development_dependency "rspec",         ">= 3.0.0", "< 4.0.0"
end
